package com.patzn.lims.res.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.res.entity.LmsSupplierType;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 供应商表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-12-27
 */
public interface ILmsSupplierTypeService extends IBaseService<LmsSupplierType> {


    Page<LmsSupplierType> page(Page<LmsSupplierType> page, LmsSupplierType lmsSupplierType);


    List<LmsSupplierType> list(LmsSupplierType lmsSupplierType);


    List<LmsSupplierType> listByNames(Collection<?> names);


    LmsSupplierType getByName(String name);
}
